petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecAXPBY

Computes y = alpha x + beta y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPBY(Vec y,PetscScalar alpha,PetscScalar beta,Vec x)

Logically Collective on Vec

### Input Parameters

| alpha,beta | - the scalars
| x, y | - the vectors

### Output Parameter

y -output vector

Notes: x and y MUST be different vectors

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY(), VecAXPY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages